﻿using Stimulsoft.Base.Drawing;
using Stimulsoft.Report.Components;
using System.Drawing;

namespace Merkur.Reports
{
    internal class DataBand : StiDataBand
    {
        public DataBand(StiPage page)
        {
            SetPageParent(page, page);
        }

        public DataBand(StiPage page, double x, double y, double width, double height, string dataSourceName, string[] sort, bool borderBottom, bool borderTop, bool borderLeft, bool borderRight)
        {
            SetPageParent(page, page);
            SetRectangle(x, y, width, height);
            SetBorder(FormatHelper.GetBorderSides(borderBottom, borderTop, borderLeft, borderRight), Color.Black, 1, StiPenStyle.Solid, false, 4, new StiSolidBrush(Color.Black), false);
            SetBrush(Color.Transparent);
            SetDataSourceName(dataSourceName);
            SetSorting(sort);
        }

        private void SetPageParent(StiPage page, StiContainer parent)
        {
            Page = page;
            Parent = parent;
        }

        private void SetRectangle(double x, double y, double width, double height)
        {
            ClientRectangle = new RectangleD(x, y, width, height);
        }

        private void SetBorder(StiBorderSides sides, Color color, double thickness, StiPenStyle style, bool shadow, double shadowThickness, StiSolidBrush brush, bool topmost)
        {
            Border = new StiBorder(sides, color, thickness, style, shadow, shadowThickness, brush, topmost);
        }

        private void SetBrush(Color color)
        {
            Brush = new StiSolidBrush(color);
        }

        private void SetDataSourceName(string dataSourceName)
        {
            DataSourceName = dataSourceName;
        }

        private void SetSorting(string[] sort)
        {
            Sort = sort;
        }

        public StiDataBand GetBand()
        {
            return this;
        }
    }
}
