﻿using Stimulsoft.Base.Drawing;
using Stimulsoft.Report.Components;
using System.Drawing;

namespace Merkur.Reports
{
    internal class PageHeaderBand : StiPageHeaderBand
    {
        public PageHeaderBand(StiPage page)
        {
            SetPageParent(page, page);
        }

        public PageHeaderBand(StiPage page, double x, double y, double width, double height)
        {
            SetPageParent(page, page);
            SetRectangle(x, y, width, height);
            SetBorder(StiBorderSides.None, Color.Black, 1, StiPenStyle.Solid, false, 4, new StiSolidBrush(Color.Black), false);
            SetBrush(Color.Transparent);
        }

        private void SetPageParent(StiPage page, StiContainer parent)
        {
            Page = page;
            Parent = parent;
        }

        private void SetRectangle(double x, double y, double width, double height)
        {
            ClientRectangle = new RectangleD(x, y, width, height);
        }

        private void SetBorder(StiBorderSides sides, Color color, double thickness, StiPenStyle style, bool shadow, double shadowThickness, StiSolidBrush brush, bool topmost)
        {
            Border = new StiBorder(sides, color, thickness, style, shadow, shadowThickness, brush, topmost);
        }

        private void SetBrush(Color color)
        {
            Brush = new StiSolidBrush(color);
        }

        public StiPageHeaderBand GetBand()
        {
            return this;
        }
    }
}
