﻿using Stimulsoft.Base.Drawing;
using System.Drawing;

namespace Merkur.Reports
{
    internal class FormatHelper
    {
        public static FontStyle GetFontStyle(bool bold, bool italic, bool strikeOut, bool underline)
        {
            if (bold)
            {
                if (italic)
                {
                    if (strikeOut)
                    {
                        if (underline)
                            return FontStyle.Bold | FontStyle.Italic | FontStyle.Strikeout | FontStyle.Underline;

                        return FontStyle.Bold | FontStyle.Italic | FontStyle.Strikeout;
                    }

                    return FontStyle.Bold | FontStyle.Italic;
                }

                return FontStyle.Bold;
            }

            if (italic)
            {
                if (strikeOut)
                {
                    if (underline)
                        return FontStyle.Italic | FontStyle.Strikeout | FontStyle.Underline;

                    return FontStyle.Italic | FontStyle.Strikeout;
                }

                return FontStyle.Italic;
            }

            if (strikeOut)
            {
                if (underline)
                    return FontStyle.Strikeout | FontStyle.Underline;

                return FontStyle.Strikeout;
            }

            if (underline)
                return FontStyle.Underline;

            return FontStyle.Regular;
        }

        public static StiBorderSides GetBorderSides(bool bottom, bool top, bool left, bool right)
        {
            if (bottom)
            {
                if (top)
                {
                    if (left)
                    {
                        if (right)
                            return StiBorderSides.All;

                        return StiBorderSides.Bottom | StiBorderSides.Top | StiBorderSides.Left;
                    }

                    return StiBorderSides.Bottom | StiBorderSides.Top;
                }

                return StiBorderSides.Bottom;
            }

            if (top)
            {
                if (left)
                {
                    if (right)
                        return StiBorderSides.Top | StiBorderSides.Left | StiBorderSides.Right;

                    return StiBorderSides.Top | StiBorderSides.Left;
                }

                return StiBorderSides.Top;
            }

            if (left)
            {
                if (right)
                    return StiBorderSides.Left | StiBorderSides.Right;

                return StiBorderSides.Left;
            }

            if (right)
                return StiBorderSides.Right;

            return StiBorderSides.None;
        }
    }
}
