﻿using Stimulsoft.Report;
using Stimulsoft.Report.Components;
using Stimulsoft.Report.Engine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Merkur.Reports
{
    public class MotionDivestitureOfWelthInformationReport : StiReport
    {
        private string mReportName;
        private MDOWIHeaderDto mHeader;

        public MotionDivestitureOfWelthInformationReport(int actionId, int doiId)
        {
            SetVars(actionId, doiId);
            Pages.Clear();

            EngineVersion = StiEngineVersion.EngineV2;
            NeedsCompiling = false;
            PreviewSettings = 268435455;
            ReferencedAssemblies = new string[] {
                                                "System.Dll",
                                                "System.Drawing.Dll",
                                                "System.Windows.Forms.Dll",
                                                "System.Data.Dll",
                                                "System.Xml.Dll",
                                                "Stimulsoft.Controls.Dll",
                                                "Stimulsoft.Base.Dll",
                                                "Stimulsoft.Report.Dll"
                                                };
            ReportAlias = mReportName;
            ReportName = mReportName;
            ReportUnit = StiReportUnitType.Centimeters;
            ReportVersion = "2016.3.0";
            ScriptLanguage = StiReportLanguageType.CSharp;

            Dictionary.BusinessObjects.Clear();
            BusinessObjectsStore.Clear();
            Styles.Clear();

            Pages.AddRange(new StiPage[]
                                    {
                                        new MDOWIPage1(this, mHeader)
                                    });
        }

        private void SetVars(int actionId, int doiId)
        {
            mReportName = string.Empty;
            SetHeader(doiId);
            SetModules(doiId);
        }

        private void SetHeader(int doiId)
        {
            mHeader = new MDOWIHeaderDto(
                                    false,
                                    false,
                                    false,
                                    false,
                                    false,
                                    false,
                                    false,
                                    "N.A.",
                                    "N.A.",
                                    "N.A.",
                                    "N.A.",
                                    "N.A.",
                                    "N.A.",
                                    "N.A.",
                                    "N.A.");
        }

        private void SetModules(int doiId)
        {

        }
    }
}
