﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using System.Windows;

namespace ReportPrint
{
    /// <summary>
    /// Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            if (!Debugger.IsAttached)
            {
                if (e.Args.Count() == 0)
                {
                    MessageBox.Show("Es wurden keine Parameter übergeben!", "Fehlende Parameter", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                    Environment.Exit(-1);
                }
                else
                {
                    string[] vars = e.Args[0].Split(';');

                    if (vars.Count() != 5)
                    {
                        MessageBox.Show("Die Anzahl der übergebenen Parameter ist nicht korrekt!", "Falsche Parameteranzahl", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                        Environment.Exit(-1);
                    }
                    else
                    {
                        new MainController(vars[0], Int32.Parse(vars[1]), Boolean.Parse(vars[2]), Int32.Parse(vars[3]), Int32.Parse(vars[4])).Start();
                        Environment.Exit(-1);
                    }
                }
            }
            else
            {
                //new MainController("schnelc", 1001, false, -1, -1).Start();
                new MainController("schnelc", 21, false, 123575, -1).Start();
                //Environment.Exit(-1);
            }
        }
    }
}
