﻿using Merkur.Reports;
using Stimulsoft.Report;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReportPrint
{
    internal class DebtEnforcementWithPartitialClaimReportController
    {
        private string mUserName;
        private DateTime mFrom;
        private DateTime mTo;

        public DebtEnforcementWithPartitialClaimReportController(string userName)
        {
            mUserName = userName;
        }

        public bool Init()
        {
            int day = (int)DateTime.Now.Date.DayOfWeek;
            DateTime from = DateTime.Now.Date.AddDays((day - 1) * -1);
            DateTime to = DateTime.Now.Date.AddDays(5 - day);

            if (mUserName != "schnelc")
            {
                mFrom = from;
                mTo = to;
            }
            else
            {
                DateFromToQuestionView qv = new DateFromToQuestionView();
                qv.FromDate.SelectedDate = from;
                qv.ToDate.SelectedDate = to;
                qv.ShowDialog();

                if (qv.DialogResult ?? true)
                {
                    mFrom = qv.FromDate.SelectedDate.Value;
                    mTo = qv.ToDate.SelectedDate.Value;
                }
                else
                    return false;
            }

            return true;
        }

        public StiReport GetReport()
        {
            return new DebtEnforcementWithPartitialClaimReport(mFrom, mTo).GetStiReport();
        }
    }
}
