﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace ReportPrint
{
    internal class MainController
    {
        public string UserName;
        public int ReportId;
        public bool BulkPrint;
        public int DebtorOfIncidentId;
        public int IncidentId;

        public MainController(string userName, int reportId, bool bulkPrint, int debtorOfIncidentId, int incidentId)
        {
            UserName = userName;
            ReportId = reportId;
            BulkPrint = bulkPrint;
            DebtorOfIncidentId = debtorOfIncidentId;
            IncidentId = incidentId;
        }

        internal void Start()
        {
            View v = new View();

            switch (ReportId)
            {
                case 21:
                    DebtEnforcementController dec = new DebtEnforcementController(UserName);
                    if (dec.Init(ReportId, DebtorOfIncidentId))
                        v.Viewer.Report = dec.GetReport();
                    else
                        return;
                    break;
                case 1001:
                    DebtEnforcementWithPartitialClaimReportController dewpcrc = new DebtEnforcementWithPartitialClaimReportController(UserName);
                    if (dewpcrc.Init())
                        v.Viewer.Report = dewpcrc.GetReport();
                    else
                        return;
                    break;
                default:
                    MessageBox.Show("Die angegebene ReportId ist ungültig!", "Ungültige ReportId", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                    return;
            }


            if (BulkPrint)
            {
                //v.Viewer.Report.RenderWithWpf(true);

            }
            else
            {
                v.Viewer.Report.RenderWithWpf(true);
                v.ShowDialog();
            }
        }
    }
}
